> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/activity-management/get-verification-types.md).

# Get Verification Types

This endpoint allows you to retrieve verification types by country.

<mark style="color:blue;">`GET`</mark> `{{baseurl}}/v2/api/activities/verification-types`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

{% tabs %}
{% tab title="Success Response" %}

```json
{
    "success": true,
    "statusCode": 200,
    "message": "Business Metrics returned successfully",
    "data": {
          NG: {
            name: "Nigeria",
            documents: [
              {
                code: "bvn",
                label: "Bank Verification Number",
                billingId: ["kyc_bvn", "kyc_premium_bvn"],
                permission: ["identity:bvn:verify"],
              },
              {
                code: "drivers_license",
                label: "Drivers License",
                billingId: ["kyc_drivers_license"],
                permission: ["identity:ndl:verify"],
              },
              {
                code: "vnin",
                label: "Virtual National Identification Number",
                billingId: ["kyc_vnin"],
                permission: ["identity:nin:verify"],
              },
              {
                code: "nin",
                label: "National Identification Number",
                billingId: ["kyc_nin"],
                permission: ["identity:nin:verify"],
              },
              {
                code: "passport",
                label: "Passport",
                billingId: ["kyc_passport"],
                permission: ["identity:passport:verify"],
              },
              {
                code: "pvc",
                label: "Permanent Voter's Card",
                billingId: ["kyc_inec"],
                permission: ["identity:pvc:verify"],
              },
              {
                code: "bav",
                label: "Bank Account Verification",
                billingId: ["kyc_bav", "kyc_ng_premium_bav"],
                permission: ["identity:bav:verify"],
              },
              {
                code: "phone",
                label: "Phone Number",
                billingId: ["kyc_phonenumber"],
                permission: ["identity:phone:verify"],
              },
              {
                code: "nin_phone",
                label: "NIN Phone Number",
                billingId: ["kyc_nin"],
                permission: ["identity:nin:verify"],
              },
            ],
          },
          GH: {
            name: "Ghana",
            documents: [
              {
                code: "new_voter_card",
                label: "Voter's ID",
                billingId: ["kyc_gh_voter"],
                permission: ["identity:gh-voter:verify"],
              },
              {
                code: "old_voter_card",
                label: "Old Voter's ID",
                billingId: ["kyc_gh_voter"],
                permission: ["identity:gh-voter:verify"],
              },
              {
                code: "passport",
                label: "Ghana Passport",
                billingId: ["kyc_gh_passport"],
                permission: ["identity:gh-passport:verify"],
              },
              { code: "drivers_license", label: "Ghana Driver License", },
            ],
          },
          KE: {
            name: "Kenya",
            documents: [
              {
                code: "national-id",
                label: "Kenya National ID",
                billingId: ["kyc_ke_national_id_v2"],
                permission: ["identity:ke-national-id:verify"],
              },
              {
                code: "passport",
                label: "Kenya Passport",
                billingId: ["kyc_ke_passport"],
                permission: ["identity:ke-passport:verify"],
              },
              // { code: "service-id", label: "Kenya Service ID" },
              {
                code: "alien-id",
                label: "Kenya Alien ID",
                billingId: ["kyc_ke_alien_id"],
                permission: ["identity:ke-alien-id:verify"],
              },
              {
                code: "drivers-license",
                label: "Kenya Drivers License",
                billingId: ["kyc_ke_drivers_license_v2"],
                permission: ["identity:ke-driver-license:verify"],
              },
              // { code: "pin-check", label: "Kenya Tax Verification" },
              // { code: "plate-number", label: "Kenya Plate Number" },
              //   { code: "identity_scrub", label: "Kenya Identity Scrub" },
              //   { code: "kenya_phone", label: "Kenya Phone" },
              //   { code: "kenya_address", label: "Kenya Address" },
              //   { code: "kenya_employment", label: "Kenya Employment" },
            ],
          },
          ZA: {
            name: "South Africa",
            documents: [
              {
                code: "said",
                label: "South Africa National Identity",
                billingId: ["kyc_za_id"],
                permission: ["identity:za-national-id:verify"],
              },
              // { code: "poa", label: "Proof Of Address" },
              {
                code: "bav",
                label: "Bank Account Verification",
                billingId: ["kyc_za_bav"],
                permission: ["identity:za-bav:validation"],
              },
            ],
          },
        };
```

{% endtab %}

{% tab title="Error Response" %}

```json
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/activity-management/get-verification-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
